<?php
require_once 'sql.php';
require_once 'config.php';

$erros = "";
$email = $_POST['email'];
if (strlen($email) == 0){
	$erros .= "Insira o Email;<br>";
}

if ($erros <> ""){
	$_SESSION['erros'] = $erros;
	header("Location: login.php?erros");
}

//se o email existir ele vai enviar um email para ativar a conta novamente caso ela não tenha sido ativada
$email_existe = mysql_query("SELECT * FROM user WHERE email = '$email'");
if (mysql_num_rows($email_existe) == 0){
    
    header("Location: login.php?naorecupera");
	
} 
//caso nao tenha o usuario ele ira registrar
else{
//gera e insere o token no banco de dados com o id no novo usuario
$token = geraToken();
$conectaEmail = mysql_query("SELECT * FROM user WHERE email = '$email'");
$resultado = mysql_fetch_array($conectaEmail);
$id = $resultado['id'];
$data_expira = date('Y-m-d H:i:s', strtotime('+3 hour'));
mysql_query("INSERT INTO `recupe` (`token`, `id_user`, `data`) VALUES ('$token', '$id', '$data_expira')");



//envia o email para recuperar a senha
$mensagem = "Olá, $nome!
Recebemos uma solicitação de alteração da sua senha.

Caso não tenha sido você desconsidere este email.

Este link é válido apenas por 3 horas.

Para proseguir com a alteração de senha clique no link:

http://ts3brazil.com/recuperar__.php?id=$token'";
$assunto_recu = "Recuperar Senha";
/*mail($email, $assunto_recu, $mensagem, $headers);*/

// O remetente deve ser um e-mail do seu domínio conforme determina a RFC 822.
// O return-path deve ser ser o mesmo e-mail do remetente.
$headers = "MIME-Version: 1.1\r\n";
$headers .= "Content-type: text/plain; charset=iso-8859-1\r\n";
$headers .= "From: suporte@ts3black.com.br\r\n"; // remetente
$headers .= "Return-Path: suporte@idealhostbr.com\r\n"; // return-path

$envio = mail($email, $assunto_recu, $mensagem, $headers); 
 
if($envio){

header ("Location: login.php?recupera");

}

}

//gera o token

function geraToken($tamanho = 60, $maiusculas = true, $numeros = true, $simbolos = false) {
	$lmin = 'abcdefghijklmnpqrstuvwxyz';
	$lmai = 'ABCDEFGHIJKLMNPQRSTUVWXYZ';
	$num = '123456789';
	$simb = '!@#$%*-';
	$retorno = '';
	$caracteres = '';
	
	$caracteres .= $lmin;
	if ($maiusculas) $caracteres .= $lmai;
	if ($numeros) $caracteres .= $num;
	if ($simbolos) $caracteres .= $simb;
	
	$len = strlen($caracteres);
	for ($n = 1; $n <= $tamanho; $n++) {
	$rand = mt_rand(1, $len);
	$retorno .= $caracteres[$rand-1];
	}
	return $retorno;
}

?>